%define anolis_release 1

Name:		sbc
Version:	2.0
Release:	%{anolis_release}%{?dist}
Summary:	Sub Band Codec used by bluetooth A2DP

License:	GPLv2 and LGPLv2+
URL:		http://www.bluez.org
Source0:	https://mirrors.edge.kernel.org/pub/linux/bluetooth/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  libsndfile-devel	
Requires:       libsbc = %{version}-%{release}

%description
SBC (Sub Band Codec) is a low-complexity audio codec used in the Advanced Audio 
Distribution Profile (A2DP) bluetooth standard but can be used standalone. It 
uses 4 or 8 subbands, an adaptive bit allocation algorithm in combination with 
an adaptive block PCM quantizers.

%package doc
Summary: Documents for %{name}
BuildArch: noarch
Requires: %{name} = %{version}-%{release}

%description doc
Documents for %{name}-%{version}-%{release}

%package -n     libsbc
Summary:        Library for the SBC (Sub Band Codec)

%description -n libsbc
Library for SBC (Sub Band Codec) is a low-complexity audio codec used in the
Advanced Audio Distribution Profile (A2DP) bluetooth standard but can be used
standalone. It uses 4 or 8 subbands, an adaptive bit allocation algorithm in
combination with an adaptive block PCM quantizers.

%package        devel
Summary: 	Development package for %{name}
Requires: 	%{name} = %{version}-%{release}
Requires: 	libsbc = %{version}-%{release}

%description devel
Files for development with %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete

%generate_compatibility_deps

%files
%license COPYING
%{_bindir}/sbc*
%{abidir}/sbcdec-option.list
%{abidir}/sbcenc-option.list

%files doc
%doc AUTHORS ChangeLog INSTALL TODO

%files -n       libsbc
%dir %{abidir}
%{_libdir}/libsbc.so.1*
%{abidir}/libsbc.dump

%files          devel
%{_includedir}/sbc/
%{_libdir}/pkgconfig/sbc.pc
%{_libdir}/libsbc.so

%changelog
* Wed Mar 1 2023 Heng Qi <hengqi@linux.alibaba.com> - 2.0-1
- Update to 2.0. Add doc subpackage and abi files, and remove the ldconfig command.

* Tue Apr 19 2022 happy_orange <songnannan@linux.alibaba.com> - 1.5-2
- Modify the requires to libsbc

* Fri Apr 15 2022 happy_orange <songnannan@linux.alibaba.com> - 1.5-1
- Init package from upstream
